local assets=
{
	Asset("ANIM", "anim/metalmachete.zip"),
	Asset("ANIM", "anim/swap_metalmachete.zip"),
	Asset("IMAGE","images/inventoryimages/metalmachete.tex"),
    Asset("ATLAS","images/inventoryimages/metalmachete.xml"),
}

local function onfinished(inst)
	inst:Remove()
end

local function onequip(inst, owner)
	owner.AnimState:OverrideSymbol("swap_object", "swap_metalmachete", "swap_metalmachete")
	owner.AnimState:Show("ARM_carry")
	owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
	owner.AnimState:Hide("ARM_carry")
	owner.AnimState:Show("ARM_normal")
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	MakeInventoryPhysics(inst)
	MakeInventoryFloatable(inst, "idle_water", "idle")

	anim:SetBank("metalmachete")
	anim:SetBuild("metalmachete")
	anim:PlayAnimation("idle")

	inst:AddTag("sharp")

    inst:AddComponent("inventoryitem")
		inst.components.inventoryitem.imagename = "metalmachete"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/metalmachete.xml"
	inst:AddComponent("weapon")
	inst.components.weapon:SetDamage(51)

	-----
	inst:AddComponent("tool")
	inst.components.tool:SetAction(ACTIONS.HACK)
	-------
	inst:AddComponent("finiteuses")
	inst.components.finiteuses:SetMaxUses(300)
	inst.components.finiteuses:SetUses(300)
	inst.components.finiteuses:SetOnFinished( onfinished)
	inst.components.finiteuses:SetConsumption(ACTIONS.HACK, 1)
	-------
	inst:AddComponent("equippable")

	inst:AddComponent("inspectable")



	inst.components.equippable:SetOnEquip( onequip )

	inst.components.equippable:SetOnUnequip( onunequip)


	return inst
end



return Prefab( "metalmachete", fn, assets)
