local assets=
{
	Asset("ANIM", "anim/metalpick.zip"),
	Asset("ANIM", "anim/swap_metalpick.zip"),
	Asset("IMAGE","images/inventoryimages/metalpick.tex"),
    Asset("ATLAS","images/inventoryimages/metalpick.xml"),
}

local function onfinished(inst)
	inst:Remove()
end

local function onequip(inst, owner) 
	owner.AnimState:OverrideSymbol("swap_object", "swap_metalpick", "swap_metalpick")
	owner.AnimState:Show("ARM_carry") 
	owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
	owner.AnimState:Hide("ARM_carry") 
	owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()

	MakeInventoryPhysics(inst)
	MakeInventoryFloatable(inst, "idle_water", "idle")
	
	anim:SetBank("metalpick")
	anim:SetBuild("metalpick")
	anim:PlayAnimation("idle")
	
	inst:AddTag("sharp")
	
	-----
	inst:AddComponent("tool")
	inst.components.tool:SetAction(ACTIONS.MINE)
	-------
	inst:AddComponent("finiteuses")
	
	inst.components.finiteuses:SetMaxUses(TUNING.PICKAXE_USES*4)
	inst.components.finiteuses:SetUses(TUNING.PICKAXE_USES*4)
	inst.components.finiteuses:SetOnFinished( onfinished) 
	inst.components.finiteuses:SetConsumption(ACTIONS.MINE, 1)
	-------
	inst:AddComponent("tradable")
	
	inst:AddComponent("weapon")
	inst.components.weapon:SetDamage(TUNING.PICK_DAMAGE)
	
	inst:AddComponent("inspectable")
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "metalpick"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/metalpick.xml"
	inst:AddComponent("equippable")
	
	inst.components.equippable:SetOnEquip( onequip )
	inst.components.equippable:SetOnUnequip( onunequip )
	
	
	return inst
end



return Prefab( "metalpick", fn, assets)

