local assets =
{
	Asset("ANIM", "anim/metalshield.zip"),
	Asset("ANIM", "anim/swap_metalshield.zip"),
	Asset("ANIM", "anim/swap_pickshield.zip"),
	Asset("IMAGE","images/inventoryimages/metalshield.tex"),
    Asset("ATLAS","images/inventoryimages/metalshield.xml"),
	Asset("SOUND", "sound/wx78.fsb")    
}



local function onequip(inst, owner)
	if inst.mode == false then
	owner.AnimState:OverrideSymbol("swap_object", "swap_metalshield", "swap_metalshield")
	elseif inst.mode == true then
	owner.AnimState:OverrideSymbol("swap_object", "swap_pickshield", "swap_pickshield")
    end
	owner.AnimState:Show("ARM_carry")
	owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
	owner.AnimState:Hide("ARM_carry")
	owner.AnimState:Show("ARM_normal")
end

local function onupdate(inst)
    if inst.mode and inst.mode == true then
	   inst:AddComponent("tool")
	   inst.components.tool:SetAction(ACTIONS.MINE)
	   inst.name = "合金镐盾"
	end
end

local function Test(inst, item)
	if item.prefab == "metalpick" then
	  if inst.mode == false then
	    return true
	  else 
		return false
	  end
	end
	if item.prefab == "alloy" and inst.components.armor.condition and inst.components.armor.condition < inst.components.armor.maxcondition then
	  return true
	end
end

local function ModeUP(inst, giver, item)
	if item.prefab =="metalpick" then
	   inst.mode = true
	   onupdate(inst, 0)
	   giver.components.talker:Say("融合吧。")
	   inst.components.armor:SetCondition(inst.components.armor.maxcondition)
	   inst.SoundEmitter:PlaySound("dontstarve/characters/wx78/levelup")
	end
	if item.prefab == "alloy" then
	   inst.components.armor:SetCondition(math.min((inst.components.armor.condition + (inst.components.armor.maxcondition/4)),inst.components.armor.maxcondition))
	   giver.components.talker:Say("看来修修还能用。")
	end
end

local function ORI(inst, giver, item)
	if giver.components.talker then
	giver.components.talker:Say("这丫的根本不对。")
	end
end

local function onload(inst, data)
	if data then
		if data.mode then
           inst.mode = data.mode
		   onupdate(inst, 0)
		end
	end
end

local function onsave(inst, data)
	data.mode = inst.mode
end

local function fn(Sim ,inst)
	local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.mode = false
	MakeInventoryPhysics(inst)
	MakeInventoryFloatable(inst, "idle_water", "idle")
    anim:SetBank("metalshield")
    anim:SetBuild("metalshield")
    anim:PlayAnimation("idle")
	
	inst:AddTag("sharp")	
    
    inst:AddComponent("trader")
	inst.components.trader:SetAcceptTest(Test)
	inst.components.trader.onaccept = ModeUP
    inst.components.trader.onrefuse = ORI
    inst:AddComponent("weapon")
	inst.components.weapon:SetDamage(41)
    inst:AddComponent("armor")
	inst.components.armor:InitCondition(800,0.80)
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "metalshield"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/metalshield.xml"
    inst:AddComponent("inspectable")
    inst:AddComponent("equippable")
	inst.components.equippable:SetOnEquip(onequip)
	inst.components.equippable:SetOnUnequip(onunequip)
    onupdate(inst, 0)
    inst.OnSave = onsave
	inst.OnLoad = onload
	return inst
end


return Prefab( "metalshield", fn, assets)
	  